
QGIS Application - Bug report #15669

Renaming virtual field = crash

2016-10-05 10:25 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23592

Description

Steps to reproduce

1. add a virtual field

2. switch layer to editable

3. try to rename field by double clicking = crash

Associated revisions

Revision 3a76708b - 2016-10-09 01:03 AM - Nyall Dawson

Fix renaming a virtual field leads to crash (fix #15669)

Revision d5580772 - 2016-10-12 12:54 PM - Nyall Dawson

Fix renaming a virtual field leads to crash (fix #15669)

(cherry-picked from 3a76708bcb4785f5fe930be0b18396e5fa87031f)

Revision ba99c7ca - 2016-10-12 02:19 PM - Nyall Dawson

Fix renaming a virtual field leads to crash (fix #15669)

(cherry-picked from 3a76708bcb4785f5fe930be0b18396e5fa87031f)

History

#1 - 2016-10-08 04:04 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"3a76708bcb4785f5fe930be0b18396e5fa87031f".

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
